> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get vendor external finding

> Retrieves an external monitoring finding for a vendor in your organization.
Requires continuous monitoring.



## OpenAPI

````yaml /reference/manage-vanta.json get /vendors/{vendorId}/external-findings/{findingId}
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /vendors/{vendorId}/external-findings/{findingId}:
    get:
      tags:
        - Vendors
      summary: Get vendor external finding
      description: >-
        Retrieves an external monitoring finding for a vendor in your
        organization.

        Requires continuous monitoring.
      operationId: GetVendorExternalFinding
      parameters:
        - description: Unique identifier of the vendor.
          in: path
          name: vendorId
          required: true
          schema:
            type: string
        - description: Unique identifier of the external finding.
          in: path
          name: findingId
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VendorExternalFinding'
              examples:
                Example 1:
                  value:
                    id: 68f620000000000000000020
                    vendorId: 68f620000000000000000002
                    title: Exposed service detected
                    description: A service is publicly accessible.
                    severity: HIGH
                    severityReason: null
                    status: ACTIVE
                    category: Exposed services
                    type: GENERAL
                    source: null
                    firstSeenDate: '2026-10-19T12:00:00.000Z'
                    lastSeenDate: '2026-10-20T12:00:00.000Z'
                    appearances: 2
                    remediationGuidance: Restrict access to the service.
                    riskContext: null
                    cveMetadata: null
      security:
        - bearerAuth: []
components:
  schemas:
    VendorExternalFinding:
      properties:
        id:
          type: string
          description: Unique identifier of the external finding.
        vendorId:
          type: string
          description: Unique identifier of the vendor in your organization.
        title:
          type: string
        description:
          type: string
        severity:
          type: string
          enum:
            - CRITICAL
            - HIGH
            - MEDIUM
            - LOW
            - INFO
        severityReason:
          type: string
          nullable: true
        status:
          type: string
          enum:
            - ACTIVE
            - RESOLVED
        category:
          type: string
          description: Security category, such as Vulnerabilities or Exposed services.
        type:
          type: string
          enum:
            - GENERAL
            - CVE
            - LEAKED_CREDENTIALS
        source:
          type: string
          nullable: true
        firstSeenDate:
          type: string
          format: date-time
          description: Date and time the finding was first seen, in ISO 8601 format.
        lastSeenDate:
          type: string
          format: date-time
          description: Date and time the finding was last seen, in ISO 8601 format.
        appearances:
          type: number
          format: double
        remediationGuidance:
          type: string
          nullable: true
        riskContext:
          type: string
          nullable: true
        cveMetadata:
          allOf:
            - $ref: '#/components/schemas/VendorExternalFindingCveMetadata'
          nullable: true
      required:
        - id
        - vendorId
        - title
        - description
        - severity
        - severityReason
        - status
        - category
        - type
        - source
        - firstSeenDate
        - lastSeenDate
        - appearances
        - remediationGuidance
        - riskContext
        - cveMetadata
      type: object
      additionalProperties: false
    VendorExternalFindingCveMetadata:
      properties:
        cvssScore:
          type: number
          format: double
          nullable: true
        epssScore:
          type: string
          nullable: true
        publishedDate:
          type: string
          format: date-time
          nullable: true
        nvdUrl:
          type: string
          nullable: true
      required:
        - cvssScore
        - epssScore
        - publishedDate
        - nvdUrl
      type: object
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

## Related topics

- [List vendor external findings](https://developer.vanta.com/api-reference/vendors/list-vendor-external-findings.md)
- [List vendor findings](https://developer.vanta.com/api-reference/vendors/list-vendor-findings.md)
- [Update vendor finding](https://developer.vanta.com/api-reference/vendors/update-vendor-finding.md)
- [Add a vendor finding](https://developer.vanta.com/api-reference/vendors/add-a-vendor-finding.md)
- [List vendor findings mapped to a risk scenario](https://developer.vanta.com/api-reference/risk-scenarios/list-vendor-findings-mapped-to-a-risk-scenario.md)
